# Uses of Class
org.eclipse.rap.rwt.service.UISessionEvent

Packages that use UISessionEvent
Package
Description
org.eclipse.rap.rwt.service

## Uses of UISessionEvent in org.eclipse.rap.rwt.service

Methods in org.eclipse.rap.rwt.service with parameters of type UISessionEvent
Modifier and Type
Method
Description
`void`
UISessionListener.`beforeDestroy(UISessionEvent event)`
Called before the related UI session is destroyed.
`void`
UIThreadListener.`enterUIThread(UISessionEvent event)`
Called when a UISession has entered the UI thread to process events.
`void`
UIThreadListener.`leaveUIThread(UISessionEvent event)`
Called when a UISession has processed all pending events and is about to leave the UI thread.